Range-v3 Range algorithms, views, and actions for the Standard Library |

Namespaces | Typedefs
iterator_traits.hpp File Reference

## Namespaces
| ranges
| unstable_remove have O(1) complexity for each element remove, unlike remove O(n) [for worst case] Each erased element overwritten (moved in) with last one.

## Typedefs
template<typename I >
using | ranges::v3::difference_type_t = concepts::WeaklyIncrementable::difference_t< I >
template<typename I >
using | ranges::v3::iter_common_reference_t = concepts::Readable::common_reference_t< I >
template<typename I >
using | ranges::v3::iterator_category_t = concepts::InputIterator::category_t< I >
template<typename I >
using | ranges::v3::rvalue_reference_t = concepts::Readable::rvalue_reference_t< I >
template<typename I >
using | ranges::v3::size_type_t = meta::_t< std::make_unsigned< difference_type_t< I > >>
template<typename I >
using | ranges::v3::value_type_t = concepts::Readable::value_t< I >